<div class="card d-flex flex-md-column">
  <div class="card-header">
    Chat with {{user?.name}}
    <button type="button" class="close" aria-label="Close" [routerLink]="['/user', user?.id]">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="card-body" #msgContainer>
    <div *ngFor="let message of messages" class="alert alert-primary" role="alert">
      {{message}}
    </div>
  </div>
  <div class="card-footer">
    <div class="input-group">
      <input type="text" class="form-control" placeholder="Your message" [(ngModel)]="input" (keyup.enter)="sendMessage()">
      <div class="input-group-append">
        <button class="btn btn-outline-secondary" type="button" (click)="sendMessage()">Send</button>
      </div>
    </div>
  </div>
</div>
